# gnux

<a id="readme-top"></a> 

<div align="center">  
  <p align="center">
    gnu utilities eXtended
    <br />
    <a href="./docs/en/index.md"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="#key-features">Key Features</a>
    ·
    <a href="#getting-started">Getting Started</a>
    ·
    <a href="#usage">Usage</a>
    .
    <a href="#c-specifications">C Specification</a>
    ·
    <a href="https://github.com/alexeev-prog/gnux/blob/main/LICENSE">License</a>
  </p>
</div>
<br>
<p align="center">
    <img src="https://img.shields.io/github/languages/top/alexeev-prog/gnux?style=for-the-badge">
    <img src="https://img.shields.io/github/languages/count/alexeev-prog/gnux?style=for-the-badge">
    <img src="https://img.shields.io/github/license/alexeev-prog/gnux?style=for-the-badge">
    <img src="https://img.shields.io/github/stars/alexeev-prog/gnux?style=for-the-badge">
    <img src="https://img.shields.io/github/issues/alexeev-prog/gnux?style=for-the-badge">
    <img src="https://img.shields.io/github/last-commit/alexeev-prog/gnux?style=for-the-badge">
</p>

New, expanded, smart and modernized utilities. Written in C, wrapped in Python.

## Check Other My Projects

 + [SQLSymphony](https://github.com/alexeev-prog/SQLSymphony) - simple and fast ORM in sqlite (and you can add other DBMS)
 + [Burn-Build](https://github.com/alexeev-prog/burn-build) - simple and fast build system written in python for C/C++ and other projects. With multiprocessing, project creation and caches!
 + [OptiArch](https://github.com/alexeev-prog/optiarch) - shell script for fast optimization of Arch Linux
 + [libnumerixpp](https://github.com/alexeev-prog/libnumerixpp) - a Powerful C++ Library for High-Performance Numerical Computing
 + [pycolor-palette](https://github.com/alexeev-prog/pycolor-palette) - display beautiful log messages, logging, debugging.
 + [shegang](https://github.com/alexeev-prog/shegang) - powerful command interpreter (shell) for linux written in C
 + [carbonpkg](https://github.com/alexeev-prog/carbonpkg) - powerful and blazing fast package manager written in go

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Key Features

 + Fast and performance
 + Universal and integrated
 + Human-designed

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Getting Started
GNUXLINUX is available on [PyPI](https://pypi.org/project/gnuxlinux). Simply install the package into your project environment with PIP:

```bash
pip install gnuxlinux
```

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Usage
Execute any command:

```bash
gnuxlinux --help
```

### pkg
Get info about GNUXLINUX package:

```bash
gnuxlinux pkg <package_name>
```

### exec

```bash
gnuxlinux execute <command>
```

### mkdir

```bash
gnuxlinux mkdir <dir_name> <--ignore-exists> <--slug-enable> <--slug-symbol "_">
```

### cat

```bash
gnuxlinux cat <filename>
```

## C Specifications
GNUX C PyExtensions architecture:

```
ext
└── src
    ├── gnuxmkdir.c
    └── gnuxmodule.c
```

### gnuxmodule.c

 + `exec_shell_command(command)` - execute a shell command.

### gnuxmkdir.c

 + `gnux_mkdir(dir_name, ignore_exists)` - create directory.

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## License
GNUX is a lightweight, fast and scalable web framework for Python
Copyright (C) 2024  Alexeev Bronislav (C) 2024

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
USA

<p align="right">(<a href="#readme-top">back to top</a>)</p>
